import { ProfileSummaryResponse } from '../models/profiles/ProfileSummaryResponse.interface';
import { JobResponse } from '../../domain/models/profiles/JobResponse.interface';
import { Response } from '../../domain/models/Response.interface';
export declare class ProfileService {
    private profileRepository;
    constructor();
    getProfileSummary(): Promise<ProfileSummaryResponse>;
    deleteProfile(idTaskSelected: String): Promise<Response>;
    showEditProfileById(idTaskSelected: String): void;
    submitJob(idTaskSelected: String): Promise<JobResponse>;
    addProfile(attributes: any): Promise<Response>;
    updateProfile(idTask: string, attributes: any): Promise<Response>;
    getProfile(idTask: String): Promise<Response>;
    getDataSchema(idJob: String): Promise<unknown>;
    getNamesColumnsStatistics(typeConnection: string): Promise<unknown>;
    getColumnsStatistics(idJob: string): Promise<unknown>;
    getValueFrecuency(idJob: string, column: string): Promise<unknown>;
    getDataViewer(idJob: string, column: string, value: string): Promise<unknown>;
}
